CE U12 C# / VBA - SmartSolid.SweepProfileAlongPath error

I am trying to write an Addin that should generate 3D tubes using SmartSolid.SweepProfileAlongPath, but i dont seem to work in Connect.

To test I have created this very simpel vba macro:

Sub Ledninger_3D()
    Dim punkter() As Point3d
    Dim cirkel As EllipseElement
    Dim line As LineElement
    Dim sSolid As SmartSolidElement
       
    ReDim punkter(3)
    punkter(0) = Point3dFromXYZ(0, 0, 0)
    punkter(1) = Point3dFromXYZ(0, 0, 50)
    punkter(2) = Point3dFromXYZ(50, 50, 100)
    punkter(3) = Point3dFromXYZ(50, 50, 150)
   
    Set cirkel = CreateEllipseElement2(Nothing, punkter(0), 10, 10, Matrix3dIdentity, msdFillModeFilled)
    Set line = CreateLineElement1(Nothing, punkter)
    Set sSolid = SmartSolid.SweepProfileAlongPath(cirkel, line)
    ActiveModelReference.AddElement sSolid
    sSolid.Redraw
End Sub

The macro works fine in MicroStation V8i SS4, but not i MicroStation Connect Update 12, can anyone tell what is wrong?

Parents Reply Children